
<div class="content-header">
  <ng-include ng-if="ProgramaCtrl.programaView" src="'/app/Programa/view.html'"></ng-include>
</div>
<div class="content body">
  <div class="box box-primary">
    <div class="box-header">
      <h3 class="box-title">Programas</h3>
    </div>
    <table class="table table-hover">
      <tr>
        <th class="col-md-1">&nbsp;</th>
        <th ng-click="changeSorting('data_inicio')" ng-class="{'text-info':sorting=='data_inicio'||sorting=='-data_inicio'}" style="cursor:pointer" class="col-md-1">Data<i ng-if="sorting=='data_inicio'" class="fa pull-right fa-sort-numeric-asc"></i><i ng-if="sorting=='-data_inicio'" class="fa pull-right fa-sort-numeric-desc"></i></th>
        <th ng-click="changeSorting('nome_divulgacao')" ng-class="{'text-info':sorting=='nome_divulgacao'||sorting=='-nome_divulgacao'}" style="cursor:pointer" class="col-md-5">Nome<i ng-if="sorting=='nome_divulgacao'" class="fa pull-right fa-sort-alpha-asc"></i><i ng-if="sorting=='-nome_divulgacao'" class="fa pull-right fa-sort-alpha-desc"></i></th>
        <th ng-click="changeSorting('status')" ng-class="{'text-info':sorting=='status'||sorting=='-status'}" style="cursor:pointer">Status<i ng-if="sorting=='status'" class="fa pull-right fa-sort-alpha-asc"></i><i ng-if="sorting=='-status'" class="fa pull-right fa-sort-alpha-desc"></i></th>
        <th ng-click="changeSorting('situacao')" ng-class="{'text-info':sorting=='situacao'||sorting=='-situacao'}" style="cursor:pointer">Situação<i ng-if="sorting=='situacao'" class="fa pull-right fa-sort-alpha-asc"></i><i ng-if="sorting=='-situacao'" class="fa pull-right fa-sort-alpha-desc"></i></th>
      </tr>
      <tr ng-repeat="item in ProgramaCtrl.data.Programas" ng-if="!ProgramaCtrl.DataService.flags.loading &amp;&amp; !ProgramaCtrl.DataService.flags.norecords">
        <td>
          <div ng-if="permit(item)" class="btn-group">
            <button type="button" data-toggle="dropdown" aria-expanded="false" class="btn btn-default dropdown-toggle"><i class="fa fa-fw fa-gear"> </i><span class="caret"></span></button>
            <ul role="menu" class="dropdown-menu">
              <li><a href="" ng-click="edit(item)"> <i class="fa fa-edit fa-fw"></i>&nbsp;Editar</a></li>
              <li class="divider"></li>
              <li><a href="" ng-click="tematicas(item)"> <i class="fa fa-list fa-fw"></i>&nbsp;Temáticas</a></li>
              <li><a href="" ng-click="orgaos(item)"> <i class="fa fa-university fa-fw"></i>&nbsp;Órgãos</a></li>
              <li><a href="" ng-click="aprovacoes(item)"> <i class="fa fa-check fa-fw"></i>&nbsp;Aprovações</a></li>
            </ul>
          </div>
        </td>
        <td>{{item.data_inicio | date:'dd/MM/yyyy'}}</td>
        <td> <a href="" ng-click="viewPrograma(item)">{{item.nome_divulgacao}}</a></td>
        <td>{{item.status}}</td>
        <td>{{item.situacao}}</td>
      </tr>
    </table>
    <div ng-if="ProgramaCtrl.DataService.flags.loading" class="box-body">
      <div ng-include="'/app/common/loading.html'"></div>
    </div>
    <div ng-if="ProgramaCtrl.DataService.flags.norecords" class="box-body">
      <div ng-include="'/app/common/norecords.html'"></div>
    </div>
  </div>
  <div bs-affix="bs-affix" data-offset-top="85"><a ng-click="add()" tooltip="Novo Programa" class="btn btn-block btn-primary">Novo Programa</a>
    <hr/>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">Filtros</h3>
      </div>
      <div class="panel-body">
        <div class="form-group">
          <label class="control-label">Nome</label>
          <input ng-model="filters.nome_oficial" class="form-control"/>
        </div>
        <div class="form-group">
          <label class="control-label">Status</label>
          <select ng-model="filters.status_id" ng-options="item.id as item.nome for item in ProgramaCtrl.data.Statuses" class="form-control">
            <option value="">Todas</option>
          </select>
        </div>
        <div class="form-group">
          <label class="control-label">Situação</label>
          <select ng-model="filters.situacao_id" ng-options="item.id as item.nome for item in ProgramaCtrl.data.Situacoes" class="form-control">
            <option value="">Todas</option>
          </select>
        </div>
        <div class="form-group">
          <label class="control-label">Temporalidade</label>
          <select ng-model="filters.temporalidade_id" ng-options="item.id as item.nome for item in ProgramaCtrl.data.Temporalidades" class="form-control">
            <option value="">Todas</option>
          </select>
        </div>
      </div>
      <div class="panel-footer">
        <button type="button" ng-click="pesquisa()" class="btn btn-info">OK</button>
        <button ng-if="filters" type="button" ng-click="pesquisaZerar()" class="btn btn-info">Zerar</button>
      </div>
    </div>
  </div>
</div>